Loading...
Searching...
No Matches
member_type Class Reference

`#include <attr.hpp>`

## Public Member Functions

constexpr | member_type (osmium::item_type type, osmium::object_id_type ref, const char *role="") noexcept
| member_type (char type, osmium::object_id_type ref, const char *role="") noexcept
constexpr osmium::item_type | type () const noexcept
constexpr osmium::object_id_type | ref () const noexcept
constexpr const char * | role () const noexcept

## Private Attributes

osmium::item_type | m_type
osmium::object_id_type | m_ref
const char * | m_role

## Constructor & Destructor Documentation

## member_type() [1/2]

member_type::member_type | ( | osmium::item_type | type,
|  | osmium::object_id_type | ref,
|  | const char * | role = "" )

inlineconstexprnoexcept

## member_type() [2/2]

member_type::member_type | ( | char | type,
|  | osmium::object_id_type | ref,
|  | const char * | role = "" )

inlinenoexcept

## Member Function Documentation

## ref()

osmium::object_id_type member_type::ref | ( |  | ) | const

inlineconstexprnoexcept

## role()

const char * member_type::role | ( |  | ) | const

inlineconstexprnoexcept

## type()

osmium::item_type member_type::type | ( |  | ) | const

inlineconstexprnoexcept

## Member Data Documentation

## m_ref

osmium::object_id_type member_type::m_ref

private

## m_role

const char* member_type::m_role

private

## m_type

osmium::item_type member_type::m_type

private

The documentation for this class was generated from the following file:

- include/osmium/builder/attr.hpp